import { OnInit, EventEmitter } from '@angular/core';
import { AngularFireUploadTask, AngularFireStorage } from '@angular/fire/storage';
import { Observable } from 'rxjs';
export declare class FileUploadFirestorageComponent implements OnInit {
    private storage;
    res: EventEmitter<{}>;
    storagePath: string;
    maxSize: number;
    onlyType: string;
    task: AngularFireUploadTask;
    percentage: Observable<number>;
    snapshot: Observable<any>;
    downloadURL: Promise<any>;
    isHovering: boolean;
    constructor(storage: AngularFireStorage);
    toggleHover(event: boolean): void;
    startUpload(event: FileList): void;
    isActive(snapshot: any): boolean;
    ngOnInit(): void;
}
